Package weka.gui.knowledgeflow

# Class KnowledgeFlowApp

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.AbstractGUIApplication
weka.gui.knowledgeflow.KnowledgeFlowApp

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`, `GUIApplication`

public class KnowledgeFlowApp extends AbstractGUIApplication
Main Knowledge Flow application class

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `KnowledgeFlowApp.KnowledgeFlowGeneralDefaults`
  General default settings for the Knowledge Flow

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.BaselineResizeBehavior`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KnowledgeFlowApp()`
  Constructor
  `KnowledgeFlowApp(boolean layoutComponent)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Defaults`
  `getApplicationDefaults()`
  Get the default settings for this application
  `String`
  `getApplicationID()`
  Get the ID of this application
  `String`
  `getApplicationName()`
  Get the name of this application
  `Settings`
  `getApplicationSettings()`
  Get the settings for this application
  `Perspective`
  `getMainPerspective()`
  Get the main perspective of this application
  `PerspectiveManager`
  `getPerspectiveManager()`
  Get the `PerspectiveManager` used by this application
  `static void`
  `main(String[] args)`
  Main method for launching this application
  `void`
  `settingsChanged()`
  Apply (changed) settings

  ### Methods inherited from class weka.gui.AbstractGUIApplication

  `hidePerspectivesToolBar, isPerspectivesToolBarVisible, revalidate, showErrorDialog, showInfoDialog, showMenuBar, showPerspectivesToolBar, terminate`

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KnowledgeFlowApp

    public KnowledgeFlowApp()
    Constructor

  - ### KnowledgeFlowApp

    public KnowledgeFlowApp(boolean layoutComponent)
    Constructor
    Parameters:
      `layoutComponent` - true if the Knowledge Flow should layout the application using the default layout - i.e. the perspectives toolbar at the north of a `BorderLayout` and the `PerspectiveManager` at the center

- ## Method Details

  - ### getApplicationName

    public String getApplicationName()
    Get the name of this application
    Returns:
      the name of the application

  - ### getApplicationID

    public String getApplicationID()
    Get the ID of this application
    Returns:
      the ID of the application

  - ### getMainPerspective

    public Perspective getMainPerspective()
    Get the main perspective of this application
    Returns:
      the main perspective of the application

  - ### getPerspectiveManager

    public PerspectiveManager getPerspectiveManager()
    Get the `PerspectiveManager` used by this application
    Specified by:
      `getPerspectiveManager` in interface `GUIApplication`
    Overrides:
      `getPerspectiveManager` in class `AbstractGUIApplication`
    Returns:
      the `PerspectiveManager`

  - ### getApplicationSettings

    public Settings getApplicationSettings()
    Get the settings for this application
    Specified by:
      `getApplicationSettings` in interface `GUIApplication`
    Overrides:
      `getApplicationSettings` in class `AbstractGUIApplication`
    Returns:
      the settings for this application

  - ### getApplicationDefaults

    public Defaults getApplicationDefaults()
    Get the default settings for this application
    Returns:
      the default settings

  - ### settingsChanged

    public void settingsChanged()
    Apply (changed) settings
    Specified by:
      `settingsChanged` in interface `GUIApplication`
    Overrides:
      `settingsChanged` in class `AbstractGUIApplication`

  - ### main

    public static void main(String[] args)
    Main method for launching this application
    Parameters:
      `args` - command line args